/*
* Copyright (c) 2002-2004 Nokia Corporation and/or its subsidiary(-ies).
* All rights reserved.
* This component and the accompanying materials are made available
* under the terms of "Eclipse Public License v1.0"
* which accompanies this distribution, and is available
* at the URL "http://www.eclipse.org/legal/epl-v10.html".
*
* Initial Contributors:
* Nokia Corporation - initial contribution.
*
* Contributors:
*
* Description:  Central repository keys and repository identifiers for the mail
*                MTM UI components
*
*/


#ifndef IMUMPRIVATECRKEYS_H
#define IMUMPRIVATECRKEYS_H

//
// Email Account Settings API
const TUid KCRUidImumSettings   = {0x102071F1};

//
// Default Mailbox Settings API
const TUid KCRUidImum = {0x101F87EA};

const TUint32 KImumDownloadBufferSizeOther = 0x00000001;
const TUint32 KImumDownloadBufferSizeWlan = 0x00000002;
const TUint32 KImumDefMailDeletionSettingMode = 0x00000003;

// The 1st set
const TUint32 KImumMailAPop1 = 0x00000101;
const TUint32 KImumMailCopyToOwn1 = 0x00000102;
const TUint32 KImumMailFetchAttachment1 = 0x00000103;
const TUint32 KImumMailFetchHeaders1 = 0x00000104;
const TUint32 KImumMailIAP1 = 0x00000105;
const TUint32 KImumMailName1 = 0x00000106;
const TUint32 KImumMailOwnAddress1 = 0x00000107;
const TUint32 KImumMailProtocol1 = 0x00000108;
const TUint32 KImumMailReceivingHost1 = 0x00000109;
const TUint32 KImumMailSecurity1 = 0x0000010A;
const TUint32 KImumMailSendMessage1 = 0x0000010B;
const TUint32 KImumMailSendingHost1 = 0x0000010C;
const TUint32 KImumSmtpSecurity1 = 0x0000010D;
const TUint32 KImumOmaEmnEnabled1 = 0x0000010E;
const TUint32 KImumMailIncomingUsername1 = 0x0000010F;
const TUint32 KImumMailIncomingPassword1 = 0x00000110;
const TUint32 KImumMailOutgoingUsername1 = 0x00000111;
const TUint32 KImumMailOutgoingPassword1 = 0x00000112;
const TUint32 KImumMailIncomingPortNumber1 = 0x00000113;
const TUint32 KImumMailOutgoingPortNumber1 = 0x00000114;
// The 2nd set
const TUint32 KImumMailAPop2 = 0x00000201;
const TUint32 KImumMailCopyToOwn2 = 0x00000202;
const TUint32 KImumMailFetchAttachment2 = 0x00000203;
const TUint32 KImumMailFetchHeaders2 = 0x00000204;
const TUint32 KImumMailIAP2 = 0x00000205;
const TUint32 KImumMailName2 = 0x00000206;
const TUint32 KImumMailOwnAddress2 = 0x00000207;
const TUint32 KImumMailProtocol2 = 0x00000208;
const TUint32 KImumMailReceivingHost2 = 0x00000209;
const TUint32 KImumMailSecurity2 = 0x0000020A;
const TUint32 KImumMailSendMessage2 = 0x0000020B;
const TUint32 KImumMailSendingHost2 = 0x0000020C;
const TUint32 KImumSmtpSecurity2 = 0x0000020D;
const TUint32 KImumOmaEmnEnabled2 = 0x0000020E;
const TUint32 KImumMailIncomingUsername2 = 0x0000020F;
const TUint32 KImumMailIncomingPassword2 = 0x00000210;
const TUint32 KImumMailOutgoingUsername2 = 0x00000211;
const TUint32 KImumMailOutgoingPassword2 = 0x00000212;
const TUint32 KImumMailIncomingPortNumber2 = 0x00000213;
const TUint32 KImumMailOutgoingPortNumber2 = 0x00000214;
// The 3rd set
const TUint32 KImumMailAPop3 = 0x00000301;
const TUint32 KImumMailCopyToOwn3 = 0x00000302;
const TUint32 KImumMailFetchAttachment3 = 0x00000303;
const TUint32 KImumMailFetchHeaders3 = 0x00000304;
const TUint32 KImumMailIAP3 = 0x00000305;
const TUint32 KImumMailName3 = 0x00000306;
const TUint32 KImumMailOwnAddress3 = 0x00000307;
const TUint32 KImumMailProtocol3 = 0x00000308;
const TUint32 KImumMailReceivingHost3 = 0x00000309;
const TUint32 KImumMailSecurity3 = 0x0000030A;
const TUint32 KImumMailSendMessage3 = 0x0000030B;
const TUint32 KImumMailSendingHost3 = 0x0000030C;
const TUint32 KImumSmtpSecurity3 = 0x0000030D;
const TUint32 KImumOmaEmnEnabled3 = 0x0000030E;
const TUint32 KImumMailIncomingUsername3 = 0x0000030F;
const TUint32 KImumMailIncomingPassword3 = 0x00000310;
const TUint32 KImumMailOutgoingUsername3 = 0x00000311;
const TUint32 KImumMailOutgoingPassword3 = 0x00000312;
const TUint32 KImumMailIncomingPortNumber3 = 0x00000313;
const TUint32 KImumMailOutgoingPortNumber3 = 0x00000314;
// The 4th set
const TUint32 KImumMailAPop4 = 0x00000401;
const TUint32 KImumMailCopyToOwn4 = 0x00000402;
const TUint32 KImumMailFetchAttachment4 = 0x00000403;
const TUint32 KImumMailFetchHeaders4 = 0x00000404;
const TUint32 KImumMailIAP4 = 0x00000405;
const TUint32 KImumMailName4 = 0x00000406;
const TUint32 KImumMailOwnAddress4 = 0x00000407;
const TUint32 KImumMailProtocol4 = 0x00000408;
const TUint32 KImumMailReceivingHost4 = 0x00000409;
const TUint32 KImumMailSecurity4 = 0x0000040A;
const TUint32 KImumMailSendMessage4 = 0x0000040B;
const TUint32 KImumMailSendingHost4 = 0x0000040C;
const TUint32 KImumSmtpSecurity4 = 0x0000040D;
const TUint32 KImumOmaEmnEnabled4 = 0x0000040E;
const TUint32 KImumMailIncomingUsername4 = 0x0000040F;
const TUint32 KImumMailIncomingPassword4 = 0x00000410;
const TUint32 KImumMailOutgoingUsername4 = 0x00000411;
const TUint32 KImumMailOutgoingPassword4 = 0x00000412;
const TUint32 KImumMailIncomingPortNumber4 = 0x00000413;
const TUint32 KImumMailOutgoingPortNumber4 = 0x00000414;
// The 5th set
const TUint32 KImumMailAPop5 = 0x00000501;
const TUint32 KImumMailCopyToOwn5 = 0x00000502;
const TUint32 KImumMailFetchAttachment5 = 0x00000503;
const TUint32 KImumMailFetchHeaders5 = 0x00000504;
const TUint32 KImumMailIAP5 = 0x00000505;
const TUint32 KImumMailName5 = 0x00000506;
const TUint32 KImumMailOwnAddress5 = 0x00000507;
const TUint32 KImumMailProtocol5 = 0x00000508;
const TUint32 KImumMailReceivingHost5 = 0x00000509;
const TUint32 KImumMailSecurity5 = 0x0000050A;
const TUint32 KImumMailSendMessage5 = 0x0000050B;
const TUint32 KImumMailSendingHost5 = 0x0000050C;
const TUint32 KImumSmtpSecurity5 = 0x0000050D;
const TUint32 KImumOmaEmnEnabled5 = 0x0000050E;
const TUint32 KImumMailIncomingUsername5 = 0x0000050F;
const TUint32 KImumMailIncomingPassword5 = 0x00000510;
const TUint32 KImumMailOutgoingUsername5 = 0x00000511;
const TUint32 KImumMailOutgoingPassword5 = 0x00000512;
const TUint32 KImumMailIncomingPortNumber5 = 0x00000513;
const TUint32 KImumMailOutgoingPortNumber5 = 0x00000514;
// The 6th set
const TUint32 KImumMailAPop6 = 0x00000601;
const TUint32 KImumMailCopyToOwn6 = 0x00000602;
const TUint32 KImumMailFetchAttachment6 = 0x00000603;
const TUint32 KImumMailFetchHeaders6 = 0x00000604;
const TUint32 KImumMailIAP6 = 0x00000605;
const TUint32 KImumMailName6 = 0x00000606;
const TUint32 KImumMailOwnAddress6 = 0x00000607;
const TUint32 KImumMailProtocol6 = 0x00000608;
const TUint32 KImumMailReceivingHost6 = 0x00000609;
const TUint32 KImumMailSecurity6 = 0x0000060A;
const TUint32 KImumMailSendMessage6 = 0x0000060B;
const TUint32 KImumMailSendingHost6 = 0x0000060C;
const TUint32 KImumSmtpSecurity6 = 0x0000060D;
const TUint32 KImumOmaEmnEnabled6 = 0x0000060E;
const TUint32 KImumMailIncomingUsername6 = 0x0000060F;
const TUint32 KImumMailIncomingPassword6 = 0x00000610;
const TUint32 KImumMailOutgoingUsername6 = 0x00000611;
const TUint32 KImumMailOutgoingPassword6 = 0x00000612;
const TUint32 KImumMailIncomingPortNumber6 = 0x00000613;
const TUint32 KImumMailOutgoingPortNumber6 = 0x00000614;
#endif // IMUMPRIVATECRKEYS_H